#include <stdio.h>
#include <stdlib.h>

#define SIZE 100

int main(int a, char *fname[]){
  FILE *fin ,*fout;
  double dist[SIZE][SIZE];
  int i,j,n;

  if((fin=fopen(fname[1], "r"))==NULL)
    exit(1);
  
  fscanf(fin ,"%d",&n);

  for(i=0;i<n;i++){
    for(j=0;j<n;j++){
      dist[i][j]=1;
    }
  }

  for(i=0; i<n; i++){
    for(j=0; j<n; j++){
      if(i!=j){
	fscanf(fin, "%lf", &dist[i][j]);
	printf("% 1.4f\n", dist[i][j]);
      }
    }
  }
  putchar('\n');

  if((fout=fopen(fname[2],"w"))==NULL)
    exit(1);	
  fprintf(fout,"%d\n",n);
  for(i=0; i<n; i++){
    for(j=0; j<n; j++){
      printf("%.3f ", dist[i][j]);
    }
    putchar('\n');
  }

  for(i=0; i<n; i++)
    for(j=i+1; j<n; j++)
      fprintf(fout, "%f\n", dist[i][j]);
	
  fclose(fin);

  return 0;
}
